
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Support #1181

Unable to read FLAC files

August 21, 2022 21:28 - Case Of

Status: Closed Start date: August 21, 2022

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/flac Estimated time: 0.00 hour

Target version: 4.3   

Affects version: 4.2   

Description

I’m experiencing an issue to play FLAC files via the FLAC decoder plugin.

Here is shell log:

INFO dbus-server.cc:1132 [name_acquired]: Owned D-Bus name (org.atheme.audacious) on session bus.

INFO main.cc:399 [main]: No remote session; starting up.

INFO probe-buffer.cc:30 [ProbeBuffer]: <0x55a33121c8e0> buffering enabled for /home/quentin/.confi

g/audacious/config

INFO vfs.cc:105 [VFSFile]: <0x55a33121c8e0> open (mode r) /home/quentin/.config/audacious/config

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Transport/neo

n.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Transport/gio

.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/m3u

.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/xsp

f.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/asx

.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/pls

.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/asx

3.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/aud

pl.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/flacng.

so

INFO plugin-registry.cc:551 [plugin_register]: Rescan plugin: /usr/lib64/audacious/Input/flacng.so

INFO plugin-load.cc:64 [plugin_load]: Loading plugin: /usr/lib64/audacious/Input/flacng.so.

ERROR plugin.cc:58 [init]: Could not initialize the FLAC decoders!

ERROR plugin-load.cc:102 [plugin_load]: /usr/lib64/audacious/Input/flacng.so failed to initialize.

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/xsf.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/tonegen

.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/vorbis.

so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/ffaudio

.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/aac-raw

.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/madplug

.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/wavpack

.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/metrono

m.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/cdaudio

-ng.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/psf2.so
INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/vtx.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/alsa.s

o

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/filewr

iter.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/qtaudi

o.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/silenc

e-removal.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/bitcru

sher.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/crossf

ade.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/mixer.

so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/crysta

lizer.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/compre

ssor.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/stereo

.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/voice_

removal.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/echo.s

o

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/lyric

wiki-qt.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/statu

sicon-qt.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/searc

h-tool-qt.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/playl

ist-manager-qt.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/album

art-qt.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/notif

y.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/qtui.

so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/mpris

2.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/delet

e-files.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/cd-me

nu-items.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/song-

info-qt.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/qthot

key.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/song_

change.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/General/skins

-qt.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization

/qt-spectrum.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization

/vumeter-qt.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization

/blur_scope-qt.so

INFO plugin-registry.cc:546 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization

/gl-spectrum-qt.so

INFO plugin-init.cc:133 [start_required]: Starting selected output plugin ALSA Output.

INFO plugin-load.cc:64 [plugin_load]: Loading plugin: /usr/lib64/audacious/Output/alsa.so.

ERROR config.cc:238 [guess_element]: No suitable mixer element found.

INFO probe-buffer.cc:30 [ProbeBuffer]: <0x55a3312736a0> buffering enabled for /home/quentin/.confi

g/audacious/playlists/order

INFO vfs.cc:105 [VFSFile]: <0x55a3312736a0> open (mode r) /home/quentin/.config/audacious/playlist
s/order

INFO playlist-files.cc:49 [playlist_load]: Loading playlist file:///home/quentin/.config/audacious

/playlists/1000.audpl.

INFO playlist-files.cc:62 [playlist_load]: Trying playlist plugin Audacious Playlists (audpl).

INFO plugin-load.cc:64 [plugin_load]: Loading plugin: /usr/lib64/audacious/Container/audpl.so.

INFO probe-buffer.cc:30 [ProbeBuffer]: <0x55a331269830> buffering enabled for file:///home/quentin

/.config/audacious/playlists/1000.audpl

INFO vfs.cc:105 [VFSFile]: <0x55a331269830> open (mode r) file:///home/quentin/.config/audacious/p

laylists/1000.audpl

INFO plugin-init.cc:188 [start_plugins]: Starting Album Art.

INFO plugin-load.cc:64 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/albumart-qt.so.

INFO adder.cc:142 [add_file]: Adding file: file:///home/quentin/Data/Musique/FLAC/Dire%20Straits%2

0-%20Brothers%20in%20Arms%20-%20The%20Studio%20Albums%201978%20-%201991%20%28Remaster%29%20%28Disc

%205%20of%206%29/09.%20Brothers%20in%20Arms.flac

INFO plugin-init.cc:188 [start_plugins]: Starting Audio CD Menu Items.

INFO plugin-load.cc:64 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/cd-menu-items.s

o.

INFO plugin-init.cc:188 [start_plugins]: Starting Desktop Notifications.

INFO plugin-load.cc:64 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/notify.so.

INFO plugin-init.cc:188 [start_plugins]: Starting MPRIS 2 Server.

INFO plugin-load.cc:64 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/mpris2.so.

INFO plugin-init.cc:188 [start_plugins]: Starting Status Icon.

INFO plugin-load.cc:64 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/statusicon-qt.s

o.

INFO plugin-init.cc:133 [start_required]: Starting selected interface plugin Qt Interface.

INFO plugin-load.cc:64 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/qtui.so.

INFO interface.cc:70 [interface_load]: Loading Qt Interface.

INFO probe.cc:89 [aud_file_find_decoder]: Probing file:///home/quentin/Data/Musique/FLAC/Dire%20St

raits%20-%20Brothers%20in%20Arms%20-%20The%20Studio%20Albums%201978%20-%201991%20%28Remaster%29%20

%28Disc%205%20of%206%29/09.%20Brothers%20in%20Arms.flac.

INFO probe.cc:114 [aud_file_find_decoder]: Matched FLAC Decoder by extension.

INFO plugin-load.cc:64 [plugin_load]: Loading plugin: /usr/lib64/audacious/Input/flacng.so.

ERROR plugin.cc:58 [init]: Could not initialize the FLAC decoders!

ERROR plugin-load.cc:102 [plugin_load]: /usr/lib64/audacious/Input/flacng.so failed to initialize.

qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 612, resource id: 13244939, major 

code: 40 (TranslateCoords), minor code: 0

INFO interface.cc:87 [interface_unload]: Unloading Qt Interface.

INFO plugin-init.cc:233 [stop_plugins]: Shutting down Album Art.

INFO plugin-init.cc:233 [stop_plugins]: Shutting down Audio CD Menu Items.

INFO plugin-init.cc:233 [stop_plugins]: Shutting down Desktop Notifications.

INFO plugin-init.cc:233 [stop_plugins]: Shutting down MPRIS 2 Server.

INFO plugin-init.cc:233 [stop_plugins]: Shutting down Status Icon.

INFO playlist-files.cc:133 [save_to_file]: Saving playlist file:///home/quentin/.config/audacious/

playlists/1001.audpl.

INFO vfs.cc:105 [VFSFile]: <0x7f98480051c0> open (mode w) file:///home/quentin/.config/audacious/p

laylists/1001.audpl

INFO probe-buffer.cc:30 [ProbeBuffer]: <0x7f98480051c0> buffering enabled for /home/quentin/.confi

g/audacious/playlists/order

INFO vfs.cc:105 [VFSFile]: <0x7f98480051c0> open (mode r) /home/quentin/.config/audacious/playlist

s/order

INFO vfs.cc:105 [VFSFile]: <0x7f98480051c0> open (mode w) /home/quentin/.config/audacious/playlist

s/order

INFO plugin-init.cc:218 [stop_plugins]: Shutting down ALSA Output.

History

#1 - August 21, 2022 22:56 - John Lindgren

- Tracker changed from Bug to Support

#2 - August 21, 2022 22:58 - John Lindgren

There are multiple errors in the log which suggest that ALSA and libflac are not set up correctly on your system.

What type of system are you using to run Audacious?
#3 - August 21, 2022 23:03 - Case Of

John Lindgren wrote:

There are multiple errors in the log which suggest that ALSA and libflac are not set up correctly on your system.

What type of system are you using to run Audacious?

 

I’m running a Gentoo system on stable keyword (amd64)

I’m using alsa as my audio backend.

Here is my emerge --info output:

Portage 3.0.30 (python 3.10.5-final-0, default/linux/amd64/17.1/no-multilib, gcc-11.3.0, glibc-2.35-r8, 5.15.5

9-gentoo-x86_64 x86_64)

=================================================================

System uname: Linux-5.15.59-gentoo-x86_64-x86_64-AMD_Ryzen_7_3700X_8-Core_Processor-with-glibc2.35

KiB Mem:    32851076 total,  27446972 free

KiB Swap:          0 total,         0 free

Timestamp of repository gentoo: Sun, 21 Aug 2022 15:15:01 +0000

Head commit of repository gentoo: b0abe82b08664f2fac46f76e130743acc2ee39e6

Head commit of repository Case_Of: 6c7d1576b6ab66802fd67a9a4c97de8c9488580d

Head commit of repository librewolf: 55966850fa4d5aa48a2c5fa473aa9b2b52636d32

Head commit of repository palemoon: 0be05440a467e391118eef446b8d83a9a1a0b0bb

Head commit of repository palemoon-l10n: a7ea291ab74094a996894582933a61d57cca9816

sh bash 5.1_p16-r1

ld GNU ld (Gentoo 2.38 p4) 2.38

app-misc/pax-utils:        1.3.4::gentoo

app-shells/bash:           5.1_p16-r1::gentoo

dev-lang/perl:             5.34.1-r3::gentoo

dev-lang/python:           2.7.18_p15::gentoo, 3.10.5::gentoo

dev-lang/rust:             1.62.1::gentoo

dev-util/cmake:            3.22.4::gentoo

dev-util/meson:            0.62.2::gentoo

sys-apps/baselayout:       2.8::gentoo

sys-apps/openrc:           0.44.10::gentoo

sys-apps/sandbox:          2.29::gentoo

sys-devel/autoconf:        2.13-r2::gentoo, 2.71-r1::gentoo

sys-devel/automake:        1.16.5::gentoo

sys-devel/binutils:        2.38-r2::gentoo

sys-devel/binutils-config: 5.4.1::gentoo

sys-devel/clang:           14.0.6-r1::gentoo

sys-devel/gcc:             11.3.0::gentoo

sys-devel/gcc-config:      2.5-r1::gentoo

sys-devel/libtool:         2.4.7::gentoo

sys-devel/lld:             14.0.6::gentoo

sys-devel/llvm:            14.0.6-r2::gentoo

sys-devel/make:            4.3::gentoo

sys-kernel/linux-headers:  5.15-r3::gentoo (virtual/os-headers)

sys-libs/glibc:            2.35-r8::gentoo

Repositories:

gentoo

    location: /var/db/repos/gentoo

    sync-type: rsync

    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage

    priority: -1000

    sync-rsync-verify-jobs: 1

    sync-rsync-extra-opts: 

    sync-rsync-verify-max-age: 24

    sync-rsync-verify-metamanifest: yes

Case_Of

    location: /var/db/repos/Case_Of

    sync-type: git

    sync-uri: https://codeberg.org/Case_Of/gentoo-overlay.git

    masters: gentoo
librewolf

    location: /var/db/repos/librewolf

    sync-type: git

    sync-uri: https://gitlab.com/librewolf-community/browser/gentoo.git

    masters: gentoo

localrepo

    location: /var/db/repos/localrepo

    masters: gentoo

palemoon

    location: /var/db/repos/palemoon

    sync-type: git

    sync-uri: https://github.com/deu/palemoon-overlay.git

    masters: gentoo

palemoon-l10n

    location: /var/db/repos/palemoon-l10n

    sync-type: git

    sync-uri: https://github.com/CaseOf/palemoon-l10n-gentoo-overlay.git

    masters: gentoo palemoon

ACCEPT_KEYWORDS="amd64" 

ACCEPT_LICENSE="@FREE" 

CBUILD="x86_64-pc-linux-gnu" 

CFLAGS="-march=native -O2 -pipe" 

CHOST="x86_64-pc-linux-gnu" 

CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt

" 

CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gen

too-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def

.d /etc/texmf/updmap.d /etc/texmf/web2c" 

CXXFLAGS="-march=native -O2 -pipe" 

DISTDIR="/var/cache/distfiles" 

EMERGE_DEFAULT_OPTS="--keep-going --quiet-build --usepkg --with-bdeps=y" 

ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PER

L_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR" 

FCFLAGS="-march=native -O2 -pipe" 

FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg-live config-protect-if-modified

 distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch 

pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn

 unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr" 

FFLAGS="-march=native -O2 -pipe" 

GENTOO_MIRRORS="http://ftp.free.fr/mirrors/ftp.gentoo.org/ http://mirror.eu.oneandone.net/linux/distributions/

gentoo/gentoo/ http://gentoo.mirrors.ovh.net/gentoo-distfiles/ http://mirror.leaseweb.com/gentoo/ http://www.m

irrorservice.org/sites/distfiles.gentoo.org/ http://mirror.netcologne.de/gentoo/ http://mirrors.soeasyto.com/d

istfiles.gentoo.org/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://mirrors.gethosted.online/gento

o https://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/" 

INSTALL_MASK="/etc/systemd /etc/tmpfiles.d /lib*/systemd /usr/lib*/systemd /usr/lib*/tmpfiles.d /usr/lib/modul

es-load.d /opt/palemoon /usr/lib64/firefox/distribution/policies.json" 

LANG="fr_FR.utf8" 

LDFLAGS="-Wl,-O1 -Wl,--as-needed" 

MAKEOPTS="-j17" 

PKGDIR="/var/cache/binpkgs" 

PORTAGE_CONFIGROOT="/" 

PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --who

le-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packa

ges --exclude=/.git" 

PORTAGE_TMPDIR="/var/tmp" 

SHELL="/bin/bash" 

USE="X acl alsa amd64 bash-completion bzip2 cli consolekit crypt dri fortran gdbm gif iconv icu idn ipv6 jpeg 

libglvnd libnotify libtirpc lm-sensors ncurses nls nptl opencl opengl openmp pam pcre png policykit readline s

eccomp split-usr ssl tiff udisks unicode vaapi vdpau vulkan xattr zlib zstd" ABI_X86="64" ADA_TARGET="gnat_202

0" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon 

authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user a

utoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter he

aders include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status uniq

ue_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" CAMERAS="canon" COLLECTD_PLUGINS=

"df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul pop

cnt rdrand sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate 

evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncor

e rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput joys

tick" KERNEL="linux" L10N="fr" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses t

ext" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lu
a5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-4 php8-0" POSTGRES_TARGETS="postgres12 postgres13"

 PYTHON_SINGLE_TARGET="python3_10" PYTHON_TARGETS="python3_10" RUBY_TARGETS="ruby27" SANE_BACKENDS="pixma" USE

RLAND="GNU" VIDEO_CARDS="amdgpu radeonsi" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ip

p2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos accoun

t" 

Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELF

EDIT, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, LC_ALL, LD, LEX, LFLAGS, LIBTOOL, LINGUAS, MAKE, MAKEFLAGS, NM, 

OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_

RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS

#4 - August 21, 2022 23:18 - John Lindgren

Well, we can ignore the ALSA error for now, it just means you won't be able to change volume from Audacious.

This is the error you'll need to debug to get FLAC working:

ERROR plugin.cc:58 [init]: Could not initialize the FLAC decoders!

 

It suggests that something is wrong with your copy of libFLAC.

With Gentoo, you're going to be on your own to debug that, unfortunately.

All I can tell you that the same error doesn't occur on Arch Linux with:

audacious 4.2-1

audacious-plugins 4.2-1

flac 1.3.4-3

#5 - August 21, 2022 23:19 - John Lindgren

Relevant line of code:

https://github.com/audacious-media-player/audacious-plugins/blob/996c9d336cc5f11c875888510004ca349b5d16e7/src/flac/plugin.cc#L58

#6 - August 26, 2022 22:48 - Case Of

I’m experencing the same issue on ArchLinux too, then I think it’s not a distribution issue.

#7 - August 26, 2022 22:51 - Case Of

And with the same libflac, deadbeef player is able to play flac files.

This issue appeared with audacious 4.2. It was working on 4.1.
#8 - August 28, 2022 10:53 - Thomas Lange

What happens if you revert this commit?

https://github.com/audacious-media-player/audacious-plugins/commit/619c5371c51174f022ccea7cbf6864ca4a8f4125

#9 - August 28, 2022 11:06 - Thomas Lange

@John: I assume we should check for FLAC_API_SUPPORTS_OGG_FLAC?

https://xiph.org/flac/api/group__flac__stream__decoder.html#details

@Case Of: Please check if on Gentoo your flac is built with libogg support.

https://gitweb.gentoo.org/repo/gentoo.git/tree/media-libs/flac/flac-1.3.4.ebuild

#10 - August 29, 2022 20:22 - Case Of

reverting commit 619c5371c51174f022ccea7cbf6864ca4a8f4125 fix the flac playback issue.

on my gentoo setup, media-libs/flac is built without ogg support.

it seems to be the same on archlinux.

#11 - August 29, 2022 20:25 - Case Of

- File fix-flac-playback-failure.patch added

#12 - August 29, 2022 20:29 - Case Of

Maybe is the issue on gentoo package dependencies? 

https://gitweb.gentoo.org/repo/gentoo.git/tree/media-plugins/audacious-plugins/audacious-plugins-4.2.ebuild#n69

USE flag ogg is not mandatory. You seem to say it should be.

#13 - August 29, 2022 20:42 - Case Of

for reference: https://bugs.gentoo.org/867355

#14 - August 30, 2022 04:07 - John Lindgren

I wasn't aware that Ogg FLAC support was optional in libflac, now I know :) We should handle that case.

#15 - August 30, 2022 23:31 - Thomas Lange

Should be fixed by this pull request: https://github.com/audacious-media-player/audacious-plugins/pull/110

#16 - August 31, 2022 19:12 - Thomas Lange

- Target version changed from 4.2 to 4.2.1

- Status changed from New to Closed

Fixed in Git, will be released with 4.2.1. Thanks for reporting.

#17 - February 06, 2023 21:05 - John Lindgren

- Target version changed from 4.2.1 to 4.3

Files

fix-flac-playback-failure.patch 6.54 KB August 29, 2022 Case Of
